Obstacle = Class{}

OBSTACLE_GRAVITY = 0.5

function Obstacle:init()

    self.x = math.random(230)
    self.y = 5
    self.dx = 0
    self.dy = OBSTACLE_GRAVITY
    self.width = 4
    self.height = 4

end

function Obstacle:update(dt)

    if self.y > VIRTUAL_HEIGHT then
        self.y = 5
    end

    self.x = self.x + self.dx
    self.y = self.y + self.dy

end

function Obstacle:render()

    love.graphics.rectangle('fill', self.x, self.y, self.width, self.height)

end

function Obstacle:collision(player)

    if self.x > player.x + player.width or player.x > self.x + self.width then
        return false
    end

    if self.y > player.y + player.height or player.y > self.y + self.height then
        return false
    end 

    return true

end
